/*$
Copyright (c) 2015, Azel
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of the <organization> nor the
      names of its contributors may be used to endorse or promote products
      derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
$*/

/******************************
 * error code
 ******************************/

#ifndef APPERR_H
#define APPERR_H

enum
{
	APPERR_OK,
	APPERR_UNKNOWN,
	APPERR_MEMORY,		//メモリが足りない

	APPERR_SOCKET,		//ソケットエラー
	APPERR_QUIT,		//サーバを終了させる
	APPERR_DISCONNECT,	//クライアントが切断された

	APPERR_ZIP_OPENFILE,	//ZIP ファイルを開けなかった
	APPERR_ZIP_NOZIP,		//ZIP ではない
	APPERR_ZIP_INVALID,		//ZIP データが正しくない
	APPERR_ZIP_UNSUPPORTED,	//ZIP 対応していない形式
	APPERR_ZIP_NOTFIND,		//ZIP 内でファイルが見つからなかった
	APPERR_ZIP_DECODE,		//デコードに失敗
};

#endif
